import { HtmlUtil } from "../htmlUtil.js";

export function createNavigationTab(){
    let awardsContainer = HtmlUtil.createElement("div", {elementClass: ["navigationContainer"]});
    
    // <div class="buttonClearContainer"><button id="buttonClear" class="buttonClear button">${game.i18n.localize("MI.awordsContent.clear")}</button></div>
    // <div class="buttonAwordsContainer"><button id="buttonAwords" class="buttonAwords button">${game.i18n.localize("MI.awordsContent.setAward")}</button></div>
    let buttonClearContainer = HtmlUtil.createElement("div", {elementClass: ["buttonClearContainer"]});
    let buttonClear = HtmlUtil.createElement("button", {elementClass: ["buttonClear", "button"], id:"buttonClear", text: game.i18n.localize("MI.awordsContent.clear")});
    let buttonAwordsContainer = HtmlUtil.createElement("div", {elementClass: ["buttonAwordsContainer"]});
    let buttonAwords = HtmlUtil.createElement("button", {elementClass: ["buttonAwords", "button"], id:"buttonAwords", text: game.i18n.localize("MI.awordsContent.setAward")});
    buttonClearContainer.appendChild(buttonClear);
    buttonAwordsContainer.appendChild(buttonAwords);
    HtmlUtil.appendElements(awardsContainer, [buttonClearContainer, buttonAwordsContainer]);

    return awardsContainer.outerHTML;
}